
# 模块介绍
- 模块项目：study-ng-user
- 模块名称：user 
- 模块类名：UserModule
- 模块内容
    - 页面 3个
        - mine 我的页面
        - login 注册页面
        - edit-info 资料编辑页面

# 安装依赖环境
``` bash
npm i -S parse
npm i -S @types/parse
```

# 复制user模块
- 将src/modules/user整个目录
- 复制到自己项目src/modules/user目录处



# 通过app根路由加载：用户模块
- 文件：src\app\app-routing.module.ts
- 新增路由内容
``` ts
const routes: Routes = [
    // xxx
    {
        path: 'user',
        loadChildren: () => import('../modules/user/user.module').then(m => m.UserModule)
    }
    // xxx
]
      
```

# 通过tabs路由加载：我的页面
- 文件：src\app\tabs\tabs-routing.module.ts
- 新增路由内容
``` ts
const routes: Routes = [
  {
    path: 'tabs',
    component: TabsPage,
    children: [
        // xxxxxx
        {
            path: 'tab3',
            loadChildren: () => import('../../modules/user/mine/mine.module').then(mod => mod.MinePageModule)
        }
        // xxxxxx
    ]
}
      
```
